Debian Bug report logs - #624698
Make it more obvious that messages to addresses on w.d.o/contact are public and archived

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Andrei Popescu <andreimpopescu@gmail.com>

Date: Sat, 30 Apr 2011 18:21:01 UTC

Owned by: david@tilapin.org

Severity: normal

Tags: patch

Done: David Prévot <david@tilapin.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#624698; Package www.debian.org. (Sat, 30 Apr 2011 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Popescu <andreimpopescu@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 30 Apr 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: submit@bugs.debian.org
Subject: Make it more obvious that messages to addresses on w.d.o/contact are public and archived
Date: Sat, 30 Apr 2011 21:19:08 +0300
[Message part 1 (text/plain, inline)]
Package: www.debian.org

Hi,

See attached patch to make it more obvious that various contact e-mails 
are actually mailing lists.

This bug was inspired by following actual situation:

* some spammer sends a mail to a debian list, CCd to a lot of innocent 
  bystanders
* one of those bystanders finds his e-mail address in the archive and
  - reports the message as spam
  - writes to debian-www (as per w.do./contact) to have the mail removed 
    from the archive, not realizing that debian-www@l.d.o is actually a 
    mailing list

Now, because the original mail is spam, there is a chance that it will 
be eventually removed from the archives. The problem is that the new 
message is now a legitimate post to debian-www and will not be removed 
(as per the disclaimer).

Regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[contact.wml.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#624698; Package www.debian.org. (Sat, 30 Apr 2011 19:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 30 Apr 2011 19:51:13 GMT) Full text and rfc822 format available.

Message #10 received at 624698@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Andrei Popescu <andreimpopescu@gmail.com>, 624698@bugs.debian.org, Debian L10n English <debian-l10n-english@lists.debian.org>
Subject: [RFR] wml://contact.wml (Was: Bug#624698: Make it more obvious that messages to addresses on w.d.o/contact are public and archived)
Date: Sat, 30 Apr 2011 15:49:33 -0400
[Message part 1 (text/plain, inline)]
user www.debian.org@packages.debian.org
usertags 624698 content
owner 624698 david@tilapin.org
tags 624698 patch pending
thanks

Hi,

Le 30/04/2011 14:19, Andrei Popescu a écrit :

> See attached patch to make it more obvious that various contact e-mails 
> are actually mailing lists.

Thanks for this proposition, and for answering to users.

I just edited your patch in order to follow the typography used on this
page (“e-mail”, “mailing list”). I hereby request for a review of these
four lines on dle before including them.

Thanks in advance.

Regards

David

P.-S.: Initial mail for context.

> This bug was inspired by following actual situation:
> 
> * some spammer sends a mail to a debian list, CCd to a lot of innocent 
>   bystanders
> * one of those bystanders finds his e-mail address in the archive and
>   - reports the message as spam
>   - writes to debian-www (as per w.do./contact) to have the mail removed 
>     from the archive, not realizing that debian-www@l.d.o is actually a 
>     mailing list
> 
> Now, because the original mail is spam, there is a chance that it will 
> be eventually removed from the archives. The problem is that the new 
> message is now a legitimate post to debian-www and will not be removed 
> (as per the disclaimer).
> 
> Regards,
> Andrei

[contact.wml.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as david@tilapin.org. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sat, 30 Apr 2011 19:51:19 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sat, 30 Apr 2011 19:51:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>, david@tilapin.org:
Bug#624698; Package www.debian.org. (Sat, 30 Apr 2011 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>, david@tilapin.org. (Sat, 30 Apr 2011 20:09:05 GMT) Full text and rfc822 format available.

Message #19 received at 624698@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: Andrei Popescu <andreimpopescu@gmail.com>, 624698@bugs.debian.org
Subject: Re: [RFR] wml://contact.wml (Was: Bug#624698: Make it more obvious that messages to addresses on w.d.o/contact are public and archived)
Date: Sat, 30 Apr 2011 21:04:42 +0100
David Prévot wrote:
> I just edited your patch in order to follow the typography used on this
> page (“e-mail”, “mailing list”). I hereby request for a review of these
> four lines on dle before including them.
[...]
> +<p>
> +Please note that most e-mail addresses below represent
> +various open mailing lists with public archives.
> +Read the <a href="$(HOME)/MailingLists/#disclaimer">\
> +disclaimer</a> before sending any messages.
> +</p>

Yes, that's good.  I think I'd have phrased it as:

   Please note that most of the e-mail addresses below represent
   open mailing lists with public archives.

But that may just be personal taste - it's already
plausibly the kind of thing a native-speaker would write.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>, david@tilapin.org:
Bug#624698; Package www.debian.org. (Wed, 04 May 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>, david@tilapin.org. (Wed, 04 May 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #24 received at 624698@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Andrei Popescu <andreimpopescu@gmail.com>, 624698@bugs.debian.org
Subject: Make it more obvious that messages to addresses on w.d.o/contact are public and archived)
Date: Tue, 03 May 2011 22:14:35 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 30/04/2011 16:04, Justin B Rye a écrit :
> David Prévot wrote:
>> I just edited your patch in order to follow the typography

> Yes, that's good.  I think I'd have phrased it as:
> 
>    Please note that most of the e-mail addresses below represent
>    open mailing lists with public archives.

Applied, thanks.

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNwLaJAAoJELgqIXr9/gnya8EQAIYuPhgQSdy4U42KWlad5/TA
xx0foGFtTO8rnww7EJmkEkG0uv8wl0GUNqZrBwzxf4CXAnCRlzWn7dKgeIMawrr9
vuu+1l1cfrLnX4jH/ofP69fYF5DosPaQ2TCiGFKxQckvGFR7guEV5jrG+Wa21Hs3
ymGzm4WnWLbG3oUaX2uO33G1Ik2NSCpGhNSwkXc7JKft2ppmnv1d0KvVcqxevRzG
MnQnQZSEXhmwAGqyH/dg5sUwAsW9X7WNzzgxmtIjXUNn9qhPnMJ29DSk9spXaAUh
dhRbSq8DccZf36pQEmwtjg5lP77Xb8bEBM2oA3uqmQar9yDJObvC6FvjFNy/EZpp
jb7lnZWyLhC62KzUZ2mLhbcOhWkUhLKpb+5duQTTRmM20vFhJthEss5Pm/MXyyg3
uqFFnujxzFBOOWNK+SWbrM0L5dgWAjG7ZavmYdc3VGjkJKIJtABPoebKRiPoHrPZ
Dt6a2J/lJbFdXhv39SgnNkfqEH9xb2uVMUBTFRQJyqGC0zo/KWxSOD0vqaFIv1Jj
dz333mx65cC4NPlza3G6XCHRHtJ6IJpZGAkt6JQxs4OoM0rLKw26VUL0lc/V7kJr
Lq6QaQJ+7C5qD/GLaRnF96/RN21MEGlp7S+82z/hKBZhC4wtrLQ0GtoMTpuxaH6F
x7oYyIMx094hHXMo+Wik
=bRU+
-----END PGP SIGNATURE-----




Reply sent to David Prévot <david@tilapin.org>:
You have taken responsibility. (Wed, 04 May 2011 02:18:05 GMT) Full text and rfc822 format available.

Notification sent to Andrei Popescu <andreimpopescu@gmail.com>:
Bug acknowledged by developer. (Wed, 04 May 2011 02:18:06 GMT) Full text and rfc822 format available.

Message #29 received at 624698-done@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
Cc: 624698-done@bugs.debian.org
Subject: Re: Make it more obvious that messages to addresses on w.d.o/contact are public and archived)
Date: Tue, 03 May 2011 22:15:49 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 03/05/2011 22:14, David Prévot a écrit :
> Le 30/04/2011 16:04, Justin B Rye a écrit :
>> David Prévot wrote:
>>> I just edited your patch in order to follow the typography
> 
>> Yes, that's good.  I think I'd have phrased it as:
> 
>>    Please note that most of the e-mail addresses below represent
>>    open mailing lists with public archives.
> 
> Applied, thanks.
> 
> David
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNwLbSAAoJELgqIXr9/gnyTN0QALisAVp27tjiXFQuUZfNcYcu
rvcS3hnr4kzCbbUJgXlYqAwWnbkW1ZZHQwhbNNI6OrHxpyOMvp8R1dHOgAzEUJ+9
yC4CHThbntkvujOTpeZ8wgAZW4T9VEZmjyxiMSgCJMgRK7zE8ZnUDKI73aPDyAoy
+squB7+iHa8f2nBhpwMo7hDtzsV6fqRFyd/k+yAIPK9aARVKyc8nmR1G5g7Kst98
bS9U/dFSsXNwIofIcZ7K3vGxKvpveNaAxrkXM6dc2xsjlOVdLs9s0hWA+B5vPK4E
jAj6LgtLGWFmVQ9CmHSHi1z9XZxdJugC0TtqnvO9NqffA0Ehk/zdMF1Y4dqqP/ig
1dXM/zLutfs5QN6F0FvXPJ6CmWzegiKPF+1LiqLEcTZhkUdBtL8Jtren645KFBxh
RgknNQohlaFFt3WO0oV7MYhYGMG1fBOMJ2dkKmDSWxKlrf7EIyPwzWNvoL1oGlks
SpAGRiEapmLOtFiHyNhVoM1FpzdIYvTxYJs3qPmopVTXIsT5gsjbBGZIZeQRTMRZ
jtSZdFxTbdzojYabx/tQTdnOX6ptAlWZbPJp8EIBy7I5KPLvQS1/y7kPdt4W2psN
ypvmvplI2Z5zcQOse8/7ntG42rkOSAXTQV+hGu44jKsE/lgnFgXdBafDc+JXixY/
r0uQ4Bd4ZWT4t3fsBO48
=2IgE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Jun 2011 07:40:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:17:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.